using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {


        public static Vector3 GetAveragePosition(IList<PhysicalBehaviour> source)
        {
            Vector3 average = Vector3.zero;
            for (int i = 0; i < source.Count; i++)
            {
                average += (Vector3)source[i].transform.position;
            }
            average /= source.Count;
            return average;
        }

       
        


            public static void Main()
            {
                CategoryBuilder.Create("Bleach pack", "Things about bleach", ModAPI.LoadSprite("category.png"));

                // register item to the mod registry
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Yhwach", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "King of the Quincy empire", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Yhwach.jpg"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {




                            {
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.Find("Head");
                                var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                                var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                                var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                                var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                                var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                                var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                var upper = Instance.transform.Find("Body").Find("UpperBody");
                                var middle = Instance.transform.Find("Body").Find("MiddleBody");
                                var Lower = Instance.transform.Find("Body").Find("LowerBody");



                //load textures for each layer (see Human textures folder in this repository)
                var skin = ModAPI.LoadTexture("Yhwach.png");
                                var flesh = ModAPI.LoadTexture("flesh layer.png");
                                var bone = ModAPI.LoadTexture("bone layer.png");
                                Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                person.SetBodyTextures(skin, flesh, bone, 1);



                                foreach (var body in person.Limbs)
                                {
                                    body.BaseStrength *= 2f;
                                    body.Health *= 10000000000f;
                                    body.BreakingThreshold *= 150f;


                                    var ornamentobject = new GameObject("Yhwachhair.png");
                                    ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                    ornamentobject.transform.localPosition = new Vector3(0.05f, -0.2f);
                                    ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                    var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                    ornamentsprite.sprite = ModAPI.LoadSprite("Yhwachhair.png", 2f);
                                    ornamentsprite.sortingLayerName = "Decals";





                                    var backpack = new GameObject("Yhwach_Coat");
                                    backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                    backpack.transform.localPosition = new Vector3(-0.1f, 0f);
                                    backpack.transform.localScale = new Vector3(1f, 1f);
                                    var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                    backpackSprite.sprite = ModAPI.LoadSprite("Yhwach_Coat.png");
                                    backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    backpack.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        backpackSprite.sprite = ModAPI.LoadSprite("Yhwach_Coat.png");




                                        if (body.HasBrain)
                                        {
                                            body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                            {
                                                if (person.transform.localScale.x > 0)
                                                {

                                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                    person.transform.position = person.transform.position + (Vector3.right * 5);



                                                }
                                                else if (person.transform.localScale.x < 0)
                                                {
                                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                    person.transform.position = person.transform.position - (Vector3.right * 5);
                                                }
                                            };
                                        }



                        //get person


                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture


                    }
                ;
                                }
                            }
                        }
                    }
                );





                // register item to the mod registry
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Shinigami", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "just random Shinigami", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("random_shinigami.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {





            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("shinigami.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);


                        }
                    }
                );



                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "A sword belonging to Yhwach", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "King Quincy's Sword", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Yhwach_sword_icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Yhwach_sword.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
                        }
                    }
                );



                ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "Ichigo_Sword", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Ichigo's_sword2", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ichigo_sword1_image.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ichigo_Sword.png", 5.5f); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            }
        }
    );



            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
            NameOverride = "Shinsui_Shikai", //new item name with a suffix to assure it is globally unique
            DescriptionOverride = "Shinsui_Shikai", //new item description
            CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("2023-02-21_21-33-36.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Shinsui_Shikai.png", 5.5f); //get the SpriteRenderer and replace its sprite with a custom one
                Instance.FixColliders();
            }
        }
    );



            ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "A sword  Quincy belonging to Yhwach", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "King Quincy's Sword", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Yhwach_sword_qincy_icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Yhwach_sword_quincy.png", 3.8f); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            }
        }
                );

                // register item to the mod registry
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Ichigo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "the main character", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ichigo_icon-40.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {





            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ichigo.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 100000f;
                                body.BreakingThreshold *= 85f;

                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {



                                        if (person.transform.localScale.x > 0)
                                        {
                                            ModAPI.CreateParticleEffect("BrokenElectronicsSpark", Instance.transform.position + (Vector3.right * 5));
                                            ModAPI.CreateParticleEffect("HugeZap", Instance.transform.position + (Vector3.right * 5));
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("BrokenElectronicsSpark", Instance.transform.position - (Vector3.right * 5));
                                            ModAPI.CreateParticleEffect("HugeZap", Instance.transform.position - (Vector3.right * 5));
                                            person.transform.position = person.transform.position - (Vector3.right * 5);


                                        }
                                    };
                                };








                            }
                        }
                    }
                );




                ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Tetsuzaemon Iba", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Lieutenant of the 7th squad", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Tetsuzaemon_Iba_icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {





            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Tetsuzaemon_Iba.png");
                var flesh = ModAPI.LoadTexture("flesh layer.png");
                var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);


                foreach (var body in person.Limbs)
                {
                    body.BaseStrength *= 1f;
                    body.Health *= 10000f;
                    body.BreakingThreshold *= 70f;

                    if (body.HasBrain)
                    {
                        body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            if (person.transform.localScale.x > 0)
                            {

                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                person.transform.position = person.transform.position + (Vector3.right * 5);

                            }
                            else if (person.transform.localScale.x < 0)
                            {
                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                person.transform.position = person.transform.position - (Vector3.right * 5);
                            }
                        };
                    }





                }
            }
        }
    );
                // register item to the mod registry
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Kisuke Urahara", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Kisuke Urahara the best charter", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("urahara_icon.jpg"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("kisuke urahara.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);



                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 100000000f;
                                body.BreakingThreshold *= 100f;


                                var backpack = new GameObject("Urahara Coat");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("Urahara Coat.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";


                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        if (person.transform.localScale.x > 0)
                                        {

                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position - (Vector3.right * 5);
                                        }
                                    };
                                }

                            }
                        }
                    }
                );



                ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "Kisuke Urahara - capitan 12",
DescriptionOverride = "Kisuke Urahara is the captain of the 12th squad and the creator of the scientific department",
CategoryOverride = ModAPI.FindCategory("Bleach pack"),
ThumbnailOverride = ModAPI.LoadSprite("Kisuke_Urahara_captain.jpg"),
AfterSpawn = (Instance) =>
       {
{
var person = Instance.GetComponent<PersonBehaviour>();
var head = Instance.transform.Find("Head");
var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
var upper = Instance.transform.Find("Body").Find("UpperBody");
var middle = Instance.transform.Find("Body").Find("MiddleBody");
var Lower = Instance.transform.Find("Body").Find("LowerBody");







var skin = ModAPI.LoadTexture("kisuke urahara_capitan.png");
var flesh = ModAPI.LoadTexture("flesh layer.png");
var bone = ModAPI.LoadTexture("bone layer.png");
Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
person.SetBodyTextures(skin, flesh, bone, 1);








foreach (var body in person.Limbs)
{
   body.BaseStrength *= 1f;
   body.Health *= 100000f;
   body.BreakingThreshold *= 100f;


   var backpack = new GameObject("capitan_gotey13_coat2");
   backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
   backpack.transform.localPosition = new Vector3(0f, 0f);
   backpack.transform.localScale = new Vector3(1f, 1f);
   var backpackSprite = backpack.AddComponent<SpriteRenderer>();
   backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
   backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
   backpack.AddComponent<UseEventTrigger>().Action = () =>
   {
       backpackSprite.sprite = ModAPI.LoadSprite("none.png");
   };

   var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
   var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


   ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
   ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";




   if (body.HasBrain)
   {
       body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
       {
           if (person.transform.localScale.x > 0)
           {

               ModAPI.CreateParticleEffect("Vapor", body.transform.position);
               person.transform.position = person.transform.position + (Vector3.right * 5);

           }
           else if (person.transform.localScale.x < 0)
           {
               ModAPI.CreateParticleEffect("Vapor", body.transform.position);
               person.transform.position = person.transform.position - (Vector3.right * 5);
           }
       };
   }
}






}


}
}
);


                ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "Kisuke Urahara no cape",
DescriptionOverride = "Kisuke Urahara no cape",
CategoryOverride = ModAPI.FindCategory("Bleach pack"),
ThumbnailOverride = ModAPI.LoadSprite("urahara_icon.jpg"),
AfterSpawn = (Instance) =>
       {
{
var person = Instance.GetComponent<PersonBehaviour>();
var head = Instance.transform.Find("Head");
var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
var upper = Instance.transform.Find("Body").Find("UpperBody");
var middle = Instance.transform.Find("Body").Find("MiddleBody");
var Lower = Instance.transform.Find("Body").Find("LowerBody");







var skin = ModAPI.LoadTexture("kisuke urahara no cape.png");
var flesh = ModAPI.LoadTexture("flesh layer.png");
var bone = ModAPI.LoadTexture("bone layer.png");
Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
person.SetBodyTextures(skin, flesh, bone, 1);







foreach (var body in person.Limbs)
{
   body.BaseStrength *= 1f;
   body.Health *= 1000000f;
   body.BreakingThreshold *= 100f;


   if (body.HasBrain)
   {
       body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
       {
           if (person.transform.localScale.x > 0)
           {

               ModAPI.CreateParticleEffect("Vapor", body.transform.position);
               person.transform.position = person.transform.position + (Vector3.right * 5);

           }
           else if (person.transform.localScale.x < 0)
           {
               ModAPI.CreateParticleEffect("Vapor", body.transform.position);
               person.transform.position = person.transform.position - (Vector3.right * 5);
           }
       };
   }
}






}


}
}
);
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
            NameOverride = "Zanpakuto", //new item name with a suffix to assure it is globally unique
            DescriptionOverride = "Zanpakuto", //new item description
            CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Zanpakuto_icon.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Zanpakuto.png", 3.3f); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
                    }
                    }
                            );


                ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
            NameOverride = "Kyoukasuigetsu", //new item name with a suffix to assure it is globally unique
            DescriptionOverride = "Kyoukasuigetsu", //new item description
            CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Kyoukasuigetsu_icon.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kyoukasuigetsu.png", 3.3f); //get the SpriteRenderer and replace its sprite with a custom one
                Instance.FixColliders();
                }
            }
                    );


                ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
           NameOverride = "Nozasrashi", //new item name with a suffix to assure it is globally unique
           DescriptionOverride = "Nozasrashi, Zaraki's sword", //new item description
           CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
           ThumbnailOverride = ModAPI.LoadSprite("Nozarashi.png"), //new item thumbnail (relative path)
           AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
           {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sword_kenpachi_zaraki.png", 3.3f); //get the SpriteRenderer and replace its sprite with a custom one
                Instance.FixColliders();
                }
           }
                   );


                ModAPI.Register(
         new Modification()
         {
             OriginalItem = ModAPI.FindSpawnable("Brick"),
             NameOverride = "getsuga",
             NameToOrderByOverride = "ZZZZZZZZZZZZZZ",
             CategoryOverride = ModAPI.FindCategory("Null"),
             ThumbnailOverride = ModAPI.LoadSprite("Darkness.png"),
             AfterSpawn = (Instance) =>
             {

                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("kamusari.png", 1f);

                 foreach (var c in Instance.GetComponents<Collider2D>())
                 {
                     GameObject.Destroy(c);
                 }


                 Instance.FixColliders();
                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("kamusari.png", 1f);
             }
         }
     );

                ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
            NameOverride = "Tensa Zangetsu", //new item name with a suffix to assure it is globally unique
            DescriptionOverride = "Tensa Zangetsu, Icghigo's bankai", //new item description
            CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("Tensa_Zangetsu_icon.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ichigo_Sword_Bankai_1.png", 3.3f); //get the SpriteRenderer and replace its sprite with a custom one





                UseEventTrigger useEventTrigger0 = Instance.gameObject.AddComponent<UseEventTrigger>();
                    useEventTrigger0.Event = new UnityEvent();
                    useEventTrigger0.Event.AddListener(delegate ()
                    {
                        GameObject Projectile = GameObject.Instantiate(ModAPI.FindSpawnable("getsuga").Prefab);
                        CatalogBehaviour.PerformMod(ModAPI.FindSpawnable("getsuga"), Projectile);
                        Projectile.transform.rotation = Instance.transform.rotation;
                        Projectile.transform.eulerAngles += new Vector3(0, 0, -270);
                        Projectile.gameObject.GetComponent<PhysicalBehaviour>().SpawnSpawnParticles = false;
                        Projectile.transform.position = Instance.transform.position + (-Instance.transform.up * -1.8f);
                        Projectile.GetComponent<Rigidbody2D>().AddRelativeForce(Projectile.transform.right * 1200);
                        Projectile.GetComponent<Rigidbody2D>().AddRelativeForce(-Projectile.transform.right * -1200);
                        UnityEngine.Object.Destroy(Projectile, 0.900f);

                    });
                //               var trailrenderer = Instance.gameObject.AddComponent<TrailRenderer>();
                //              trailrenderer.startWidth = 0.5f;
                //              trailrenderer.endWidth = 0.5f;
                //               trailrenderer.time = 0.2f;
                //                trailrenderer.startColor = new Color32(255, 255, 255, 255);
                //               trailrenderer.endColor = new Color32(255, 255, 255, 255);
                //               Material mat = new Material(ModAPI.FindMaterial("Sprites-Default"));
                //               mat.SetTexture("_MainTex", ModAPI.LoadTexture("image/haoshock.png"));
                //               trailrenderer.material = mat;
                //               trailrenderer.sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder = 1;
                //               trailrenderer.enabled = false;
                //
                //               Instance.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                //               {
                //                   trailrenderer.enabled = !trailrenderer.enabled;
                //               };




            }
            }
    );




                // register item to the mod registry





                ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                                    NameOverride = "Urahara 's Coat ",
                                    DescriptionOverride = "Urahara 's coat",
                                    CategoryOverride = ModAPI.FindCategory("Bleach pack"),
                                    ThumbnailOverride = ModAPI.LoadSprite("urahara_coat_1.png"),
                                    AfterSpawn = (Instance) =>
                                    {
                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Urahara Coat.png");
                                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0f;
                                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0f;
                                        int PartCount = 1;

                                        if (!Instance.GetComponent<ArmorBehaviour>())
                                            Instance.AddComponent<ArmorBehaviour>();

                                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                                        ArmorProperties prop = new ArmorProperties();

                                        prop.armorPiece = "UpperBody";
                                        prop.armorTier = 4;
                                        prop.sprite = "Urahara Coat.png";

                                        armor.prop = prop;
                                        armor.SetProperties();

                                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                                        if (armor.spawn)
                                        {
                                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                            armor.SpawnOtherParts(armProp);
                                        }

                                        Instance.FixColliders();


                                    }
                                }
                            );

                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Plank"),
                        NameOverride = "capitans coat gotey 13 ",
                        DescriptionOverride = "capitans coat gotey 13",
                        CategoryOverride = ModAPI.FindCategory("Bleach pack"),
                        ThumbnailOverride = ModAPI.LoadSprite("gotey_13_coat.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("capitan_coat.png");
                            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0f;
                            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0f;
                            int PartCount = 1;

                            if (!Instance.GetComponent<ArmorBehaviour>())
                                Instance.AddComponent<ArmorBehaviour>();

                            ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                            ArmorProperties prop = new ArmorProperties();

                            prop.armorPiece = "UpperBody";
                            prop.armorTier = 4;
                            prop.sprite = "capitan_coat.png";

                            armor.prop = prop;
                            armor.SetProperties();

                            ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                            if (armor.spawn)
                            {
                                armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                armor.SpawnOtherParts(armProp);
                            }

                            Instance.FixColliders();
                        }
                    }
                );



                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Plank"),
                        NameOverride = "Urahara's hat",
                        DescriptionOverride = "hat",
                        CategoryOverride = ModAPI.FindCategory("Bleach pack"),
                        ThumbnailOverride = ModAPI.LoadSprite("Urahara_hat_icon.png"),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Urahara_Hat.png");
                            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                            int PartCount = 1;

                            if (!Instance.GetComponent<ArmorBehaviour>())
                                Instance.AddComponent<ArmorBehaviour>();

                            ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                            ArmorProperties prop = new ArmorProperties();

                            prop.armorPiece = "Head";
                            prop.armorTier = 4;
                            prop.sprite = "Urahara_Hat.png";

                            armor.prop = prop;
                            armor.SetProperties();

                            ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                            if (armor.spawn)
                            {
                                armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                                armor.SpawnOtherParts(armProp);
                            }

                            Instance.FixColliders();
                        }
                    }
                );

                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Ikkaku", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "oficer gotey 13", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ikaku_icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                            {
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.Find("Head");
                                var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                                var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                                var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                                var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                                var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                                var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                var upper = Instance.transform.Find("Body").Find("UpperBody");
                                var middle = Instance.transform.Find("Body").Find("MiddleBody");
                                var Lower = Instance.transform.Find("Body").Find("LowerBody");










                //load textures for each layer (see Human textures folder in this repository)
                var skin = ModAPI.LoadTexture("ikaku.png");
                                var flesh = ModAPI.LoadTexture("flesh layer.png");
                                var bone = ModAPI.LoadTexture("bone layer.png");
                                Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                //get person


                //use the helper function to set each texture
                //parameters are as follows: 
                //  skin texture, flesh texture, bone texture, sprite scale
                //you can pass "null" to fall back to the original texture



                foreach (var body in person.Limbs)
                                {
                                    body.BaseStrength *= 1f;
                                    body.Health *= 100000f;
                                    body.BreakingThreshold *= 70f;

                                    if (body.HasBrain)
                                    {
                                        body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                        {
                                            if (person.transform.localScale.x > 0)
                                            {

                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position + (Vector3.right * 5);

                                            }
                                            else if (person.transform.localScale.x < 0)
                                            {
                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position - (Vector3.right * 5);

                                            }
                                        };
                                    }



                                }
                            }

                        }



                    }
                            );

                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Mayuri kurotsuchi", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "capitan hotey 13", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Mayuri_kurotsuchi.jpg"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var head = Instance.transform.Find("Head");
                    var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                    var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                    var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                    var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                    var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                    var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                    var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                    var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                    var upper = Instance.transform.Find("Body").Find("UpperBody");
                    var middle = Instance.transform.Find("Body").Find("MiddleBody");
                    var Lower = Instance.transform.Find("Body").Find("LowerBody");



                //load textures for each layer (see Human textures folder in this repository)
                var skin = ModAPI.LoadTexture("Mayuri_kurotsuchi.png");
                    var flesh = ModAPI.LoadTexture("flesh layer.png");
                    var bone = ModAPI.LoadTexture("bone layer.png");
                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    person.SetBodyTextures(skin, flesh, bone, 1);

                //get person



                foreach (var body in person.Limbs)
                    {
                        body.BaseStrength *= 1f;
                        body.Health *= 1000000f;
                        body.BreakingThreshold *= 85f;



                        var ornamentobject = new GameObject("Mayuri_kurotsuchi_hair.png");
                        ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                        ornamentobject.transform.localPosition = new Vector3(0.05f, -0.2f);
                        ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        ornamentobject.transform.localScale = new Vector3(1f, 1f);
                        var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                        ornamentsprite.sprite = ModAPI.LoadSprite("Mayuri_kurotsuchi_hair.png", 2f);
                        ornamentsprite.sortingLayerName = "Top";


                        var backpack = new GameObject("capitan_gotey13_coat2");
                        backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        backpack.transform.localPosition = new Vector3(0f, 0f);
                        backpack.transform.localScale = new Vector3(1f, 1f);
                        var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                        backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
                        backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        backpack.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                        };

                        var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                        var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                        ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                        ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";




                        if (body.HasBrain)
                        {
                            body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                            {
                                if (person.transform.localScale.x > 0)
                                {

                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                    person.transform.position = person.transform.position + (Vector3.right * 5);

                                }
                                else if (person.transform.localScale.x < 0)
                                {
                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                    person.transform.position = person.transform.position - (Vector3.right * 5);
                                }
                            };
                        }

                    //use the helper function to set each texture
                    //parameters are as follows: 
                    //  skin texture, flesh texture, bone texture, sprite scale
                    //you can pass "null" to fall back to the original texture

                }

                }
            }
                    }
                );



                ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                   NameOverride = "Byakuya Kuchiki", //new item name with a suffix to assure it is globally unique
                   DescriptionOverride = "capitan hotey 13", //new item description
                   CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                   ThumbnailOverride = ModAPI.LoadSprite("byakuya_icon.png"), //new item thumbnail (relative path)
                   AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                   {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("byakuya.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("byakuya_hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.15f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("byakuya_hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var backpack = new GameObject("capitan_gotey13_coat2");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                   }
                );




                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Sosuke Aizen", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "capitan hotey 13 and best antoganist", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("sosuke_aizen_icon.jpg"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Sosuke_Aizen.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("Aizen_Hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.2f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("Aizen_Hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var backpack = new GameObject("aizen_arrancar_coat");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("aizen_arrancar_coat.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                            if (person.transform.localScale.x > 0)
                                            {

                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position + (Vector3.right * 5);

                                            }
                                            else if (person.transform.localScale.x < 0)
                                            {
                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position - (Vector3.right * 5);
                                            }
                                        };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                    }
                 );



                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Ulquiorra_Cifer", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Arrancar, 4", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Ulquiorra_Cifer_icon.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Ulquiorra_Cifer_1.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("Ulquiorra_Cifer_hair_1.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.1f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("Ulquiorra_Cifer_hair_1.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var backpack = new GameObject("Ulquiorra_Cifer_coat1.png");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("Ulquiorra_Cifer_coat1.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        if (person.transform.localScale.x > 0)
                                        {

                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position - (Vector3.right * 5);
                                        }
                                    };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                    }
                 );
                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "GrimJow", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Arrancar, 6", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("grimjow_icon.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("grimjow.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("grimjow_hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.1f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("grimjow_hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var backpack = new GameObject("grimjow_coat1.png");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("grimjow_coat1.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        if (person.transform.localScale.x > 0)
                                        {

                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position - (Vector3.right * 5);
                                        }
                                    };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                    }
                 );



                ModAPI.Register(
                new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "GrimJow resurrection", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Arrancar, 6", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("2023-02-03_21-30-44.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("grimjow_resurrection.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);


                            




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1500000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("grimjow_resurrection_hair2.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.1f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("grimjow_resurrection_hair2.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";


                                var ornamentobject3 = new GameObject("grimjow_resurrection_hair.png");
                                ornamentobject3.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject3.transform.localPosition = new Vector3(0.025f, -0.1f);
                                ornamentobject3.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject3.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite3 = ornamentobject3.AddComponent<SpriteRenderer>();
                                ornamentsprite3.sprite = ModAPI.LoadSprite("grimjow_resurrection_hair.png", 2f);
                                ornamentsprite3.sortingLayerName = "Top";

                                var backpack = new GameObject("grimjow_resurrection_coat1.png");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("grimjow_resurrection_coat1.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        if (person.transform.localScale.x > 0)
                                        {

                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position - (Vector3.right * 5);
                                        }
                                    };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                    }
                 );


                ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                   NameOverride = "Berserk Ichigo", //new item name with a suffix to assure it is globally unique
                   DescriptionOverride = "berserk", //new item description
                   CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                   ThumbnailOverride = ModAPI.LoadSprite("2023-02-02_14-06-42.png"), //new item thumbnail (relative path)
                   AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                   {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Ichigo_berserk.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 2f;
                                body.Health *= 100000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("ichigo_berserk_hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(-0.015f, -0.3f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("ichigo_berserk_hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var breath = new GameObject("breath");
                                breath.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                breath.transform.localPosition = new Vector3(0, 0f);
                                breath.transform.localScale = new Vector3(1f, 1f);
                                var breathSprite = breath.AddComponent<SpriteRenderer>();
                                breathSprite.sprite = ModAPI.LoadSprite("kin.png");
                                breath.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var backpack = new GameObject("Ichigo_coat_berserk.png");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("Ichigo_coat_berserk.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                   }
                );


            ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                       NameOverride = "Stark Koyot resurrection.png", //new item name with a suffix to assure it is globally unique
                       DescriptionOverride = "1", //new item description
                       CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                       ThumbnailOverride = ModAPI.LoadSprite("2023-02-06_20-15-16.png"), //new item thumbnail (relative path)
                       AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                       {

                           var person = Instance.GetComponent<PersonBehaviour>();
                           var head = Instance.transform.Find("Head");
                           var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                           var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                           var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                           var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                           var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                           var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                           var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                           var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                           var upper = Instance.transform.Find("Body").Find("UpperBody");
                           var middle = Instance.transform.Find("Body").Find("MiddleBody");
                           var Lower = Instance.transform.Find("Body").Find("LowerBody");



                           //load textures for each layer (see Human textures folder in this repository)
                           var skin = ModAPI.LoadTexture("stark_koyot_resurrection.png");
                           var flesh = ModAPI.LoadTexture("flesh layer.png");
                           var bone = ModAPI.LoadTexture("bone layer.png");
                           Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                           person.SetBodyTextures(skin, flesh, bone, 1);




                           foreach (var body in person.Limbs)
                           {
                               body.BaseStrength *= 2f;
                               body.Health *= 100000000f;
                               body.BreakingThreshold *= 100f;




                               var ornamentobject = new GameObject("stark_koyot_hair.png");
                               ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                               ornamentobject.transform.localPosition = new Vector3(0.025f, -0.1f);
                               ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                               ornamentobject.transform.localScale = new Vector3(1f, 1f);
                               var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                               ornamentsprite.sprite = ModAPI.LoadSprite("stark_koyot_hair.png", 2f);
                               ornamentsprite.sortingLayerName = "Top";



                               var backpack = new GameObject("stark_koyot_coat2.png");
                               backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                               backpack.transform.localPosition = new Vector3(0f, 0f);
                               backpack.transform.localScale = new Vector3(1f, 1f);
                               var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                               backpackSprite.sprite = ModAPI.LoadSprite("stark_koyot_coat2.png");
                               backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                               backpack.AddComponent<UseEventTrigger>().Action = () =>
                               {
                                   backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                               };

                               var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                               var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                               ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                               ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                               if (body.HasBrain)
                               {
                                   body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                   {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                               }



                               //use the helper function to set each texture
                               //parameters are as follows: 
                               //  skin texture, flesh texture, bone texture, sprite scale
                               //you can pass "null" to fall back to the original texture



                           }
                       }
                   }
                );



            ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                   NameOverride = "Ulquiorra Cifer Resurrección2", //new item name with a suffix to assure it is globally unique
                   DescriptionOverride = "Arrancar, 4", //new item description
                   CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                   ThumbnailOverride = ModAPI.LoadSprite("Resurrección2_ul.png"), //new item thumbnail (relative path)
                   AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                   {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Ulquiorra_Cifer_3.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 2f;
                                body.Health *= 100000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("Ulquiorra_Cifer_hair_3.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.1f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("Ulquiorra_Cifer_hair_3.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";


                                var backpack1 = new GameObject("Ulquiorra_Cifer_backpack_3.png");
                                backpack1.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                backpack1.transform.localPosition = new Vector3(-1f, 0f);
                                backpack1.transform.localScale = new Vector3(1f, 1f);
                                var backpack1Sprite = backpack1.AddComponent<SpriteRenderer>();
                                backpack1Sprite.sprite = ModAPI.LoadSprite("Ulquiorra_Cifer_backpack_3.png");
                                backpack1.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack1.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpack1Sprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var backpack = new GameObject("Ulquiorra_Cifer_coat3.png");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("Ulquiorra_Cifer_coat3.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                   }
                );


                ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                   NameOverride = "Stark Koyot", //new item name with a suffix to assure it is globally unique
                   DescriptionOverride = "Arrancar, 1", //new item description
                   CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                   ThumbnailOverride = ModAPI.LoadSprite("stark_koyot_ICON.png"), //new item thumbnail (relative path)
                   AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                   {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("stark_koyot1.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("stark_koyot_hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.1f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("stark_koyot_hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var backpack = new GameObject("stark_koyot_coat1.png");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("stark_koyot_coat1.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                   }
                );



                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Gin Ichimaru", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "capitan hotey 13", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Gin_Ichimaru_icon.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Gin_Ichimaru_arrancar.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("Gin_Ichimaru_hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.025f, -0.2f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("Gin_Ichimaru_hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Top";

                                var backpack = new GameObject("Gin_Ichimaru_arrancar_coat");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("Gin_Ichimaru_arrancar_coat.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };

                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        if (person.transform.localScale.x > 0)
                                        {

                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position - (Vector3.right * 5);
                                        }
                                    };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                    }
                 );



                ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                   NameOverride = "Sosuke Aizen capitan", //new item name with a suffix to assure it is globally unique
                   DescriptionOverride = "capitan hotey 13", //new item description
                   CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                   ThumbnailOverride = ModAPI.LoadSprite("Aizen_Sousuke_capitan_icon.png"), //new item thumbnail (relative path)
                   AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                   {

                            var person = Instance.GetComponent<PersonBehaviour>();
                            var head = Instance.transform.Find("Head");
                            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                            var upper = Instance.transform.Find("Body").Find("UpperBody");
                            var middle = Instance.transform.Find("Body").Find("MiddleBody");
                            var Lower = Instance.transform.Find("Body").Find("LowerBody");



                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Aizen_Sousuke_capitan.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");
                            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                            person.SetBodyTextures(skin, flesh, bone, 1);




                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 10000000f;
                                body.BreakingThreshold *= 100f;




                                var ornamentobject = new GameObject("Sosuke_Aizen_Thousand_Year_Bloody_War_hair.png");
                                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                ornamentobject.transform.localPosition = new Vector3(0.06f, -0.235f);
                                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                ornamentsprite.sprite = ModAPI.LoadSprite("Sosuke_Aizen_Thousand_Year_Bloody_War_hair.png", 2f);
                                ornamentsprite.sortingLayerName = "Middle";



                                var backpack = new GameObject("capitan_gotey13_coat2");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };



                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";




                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                                }



                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture



                        }
                        }
                   }
                );


                ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                   NameOverride = "Kenpachi Zaraki", //new item name with a suffix to assure it is globally unique
                   DescriptionOverride = "capitan hotey 13", //new item description
                   CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                   ThumbnailOverride = ModAPI.LoadSprite("Kenpachi_Zaraki_icon.png"), //new item thumbnail (relative path)
                   AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                   {

                           var person = Instance.GetComponent<PersonBehaviour>();
                           var head = Instance.transform.Find("Head");
                           var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                           var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                           var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                           var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                           var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                           var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                           var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                           var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                           var upper = Instance.transform.Find("Body").Find("UpperBody");
                           var middle = Instance.transform.Find("Body").Find("MiddleBody");
                           var Lower = Instance.transform.Find("Body").Find("LowerBody");



                       //load textures for each layer (see Human textures folder in this repository)
                       var skin = ModAPI.LoadTexture("Kenpachi_Zaraki.png");
                           var flesh = ModAPI.LoadTexture("flesh layer.png");
                           var bone = ModAPI.LoadTexture("bone layer.png");
                           Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                           person.SetBodyTextures(skin, flesh, bone, 1);




                           foreach (var body in person.Limbs)
                           {
                               body.BaseStrength *= 1f;
                               body.Health *= 100000000f;
                               body.BreakingThreshold *= 100f;




                               var ornamentobject = new GameObject("Kenpachi_Zaraki_hair.png");
                               ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                               ornamentobject.transform.localPosition = new Vector3(-0.1f, -0.04f);
                               ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                               ornamentobject.transform.localScale = new Vector3(1f, 1f);
                               var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                               ornamentsprite.sprite = ModAPI.LoadSprite("Kenpachi_Zaraki_hair.png", 2f);
                               ornamentsprite.sortingLayerName = "Top";



                               var backpack = new GameObject("capitan_gotey13_coat2");
                               backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                               backpack.transform.localPosition = new Vector3(0f, 0f);
                               backpack.transform.localScale = new Vector3(1f, 1f);
                               var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                               backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
                               backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                               backpack.AddComponent<UseEventTrigger>().Action = () =>
                               {
                                   backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                               };



                               var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                               var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                               ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                               ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";




                               if (body.HasBrain)
                               {
                                   body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                   {
                                       if (person.transform.localScale.x > 0)
                                       {

                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position + (Vector3.right * 5);

                                       }
                                       else if (person.transform.localScale.x < 0)
                                       {
                                           ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                           person.transform.position = person.transform.position - (Vector3.right * 5);
                                       }
                                   };
                               }



                           //use the helper function to set each texture
                           //parameters are as follows: 
                           //  skin texture, flesh texture, bone texture, sprite scale
                           //you can pass "null" to fall back to the original texture



                       }
                       }
                   }
                );





                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Shunsui Keraku", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "capitan hotey 13", //new item description
                    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Shunsui_Keraku_icon.jpg"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                            {
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.Find("Head");
                                var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                                var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                                var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                                var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                                var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                                var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                var upper = Instance.transform.Find("Body").Find("UpperBody");
                                var middle = Instance.transform.Find("Body").Find("MiddleBody");
                                var Lower = Instance.transform.Find("Body").Find("LowerBody");



                                foreach (var body in person.Limbs)
                                {
                                    body.BaseStrength *= 1f;
                                    body.Health *= 10000000f;
                                    body.BreakingThreshold *= 100f;



                                    var ornamentobject = new GameObject("Shunsui_Hair1.png");
                                    ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                    ornamentobject.transform.localPosition = new Vector3(0.05f, -0.2f);
                                    ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                    var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                    ornamentsprite.sprite = ModAPI.LoadSprite("Shunsui_Hair1.png", 2f);
                                    ornamentsprite.sortingLayerName = "Decals";


                                    var backpack1 = new GameObject("shinsui_coat");
                                    backpack1.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                    backpack1.transform.localPosition = new Vector3(0f, 0f);
                                    backpack1.transform.localScale = new Vector3(1f, 1f);
                                    var backpack1Sprite = backpack1.AddComponent<SpriteRenderer>();
                                    backpack1Sprite.sprite = ModAPI.LoadSprite("shinsui_coat.png");
                                    backpack1.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                    backpack1.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        backpack1Sprite.sprite = ModAPI.LoadSprite("none.png");
                                    };


                                    var backpack = new GameObject("Shinsui_coat2.png");
                                    backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                    backpack.transform.localPosition = new Vector3(0f, 0f);
                                    backpack.transform.localScale = new Vector3(1f, 1f);
                                    var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                    backpackSprite.sprite = ModAPI.LoadSprite("Shinsui_coat2.png");
                                    backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    backpack.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                    };




                                    var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                    var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                    ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                    ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";






                                    if (body.HasBrain)
                                    {
                                        body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                        {
                                            if (person.transform.localScale.x > 0)
                                            {

                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position + (Vector3.right * 5);

                                            }
                                            else if (person.transform.localScale.x < 0)
                                            {
                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position - (Vector3.right * 5);
                                            }
                                        };
                                    }

                                }

                            //load textures for each layer (see Human textures folder in this repository)
                            var skin = ModAPI.LoadTexture("Shunsui_Keraku.png");
                                var flesh = ModAPI.LoadTexture("flesh layer.png");
                                var bone = ModAPI.LoadTexture("bone layer.png");
                                Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                person.SetBodyTextures(skin, flesh, bone, 1);

                            //get person


                            //use the helper function to set each texture
                            //parameters are as follows: 
                            //  skin texture, flesh texture, bone texture, sprite scale
                            //you can pass "null" to fall back to the original texture

                        }


                        }
                    }
                 );

                ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Stark_Koyot's gun", //new item name with a suffix to assure it is globally unique

        DescriptionOverride = "Shoots blue cero", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Stark_Koyot_Pistol.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gun.png");
                AudioSource audioSource = Instance.AddComponent<AudioSource>();
                audioSource = Instance.AddComponent<AudioSource>();
                audioSource.minDistance = 20;
                audioSource.maxDistance = 100;
                AudioClip clip = ModAPI.LoadSound("Bleach sound effects - Cero - Trim (audio-extractor.net).mp3");
                audioSource.clip = clip;



                Instance.AddComponent<UseEventTrigger>().Action = () =>
                {

                    audioSource.Play();



                    GameObject qa = UnityEngine.Object.Instantiate(ModAPI.FindSpawnable("Blaster Rifle").Prefab.GetComponent<BlasterBehaviour>().Bolt);

                    qa.GetComponent<BlasterboltBehaviour>().Trail.startColor = Color.cyan;
                    qa.GetComponent<BlasterboltBehaviour>().Speed = 70f;
                    qa.GetComponent<BlasterboltBehaviour>().damage = 15f;
                    qa.GetComponent<BlasterboltBehaviour>().Trail.endColor = Color.clear;
                    qa.GetComponent<BlasterboltBehaviour>().Trail.widthMultiplier += 0.1f;
                    qa.GetComponent<BlasterboltBehaviour>().Trail.time = 0.42f;

                    qa.transform.position = Instance.transform.position;
                    qa.transform.eulerAngles = Instance.transform.eulerAngles;
                    qa.transform.eulerAngles += new Vector3(0, 0, 270);
                };
                Instance.FixColliders();
            }
        }
        );

                ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Rukia Kuchiki", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "soldier", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Rukia_Kuchiki_icon.jpg"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                            {
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.Find("Head");
                                var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                                var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                                var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                                var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                                var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                                var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                var upper = Instance.transform.Find("Body").Find("UpperBody");
                                var middle = Instance.transform.Find("Body").Find("MiddleBody");
                                var Lower = Instance.transform.Find("Body").Find("LowerBody");



                            //load textures for each layer (see Human textures folder in this repository)
                            var skin = ModAPI.LoadTexture("Rukia_Kuchiki.png");
                                var flesh = ModAPI.LoadTexture("flesh layer.png");
                                var bone = ModAPI.LoadTexture("bone layer.png");
                                Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                person.SetBodyTextures(skin, flesh, bone, 1);



                                foreach (var body in person.Limbs)
                                {
                                    body.BaseStrength *= 1f;
                                    body.Health *= 100000f;
                                    body.BreakingThreshold *= 50f;



                                    var ornamentobject = new GameObject("Rukia_Kuchiki_hair.png");
                                    ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                                    ornamentobject.transform.localPosition = new Vector3(0.05f, -0.2f);
                                    ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    ornamentobject.transform.localScale = new Vector3(1f, 1f);
                                    var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                                    ornamentsprite.sprite = ModAPI.LoadSprite("Rukia_Kuchiki_hair.png", 2f);
                                    ornamentsprite.sortingLayerName = "Decals";



                                   



                                    if (body.HasBrain)
                                    {
                                        body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                        {
                                            if (person.transform.localScale.x > 0)
                                            {

                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position + (Vector3.right * 5);

                                            }
                                            else if (person.transform.localScale.x < 0)
                                            {
                                                ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                                person.transform.position = person.transform.position - (Vector3.right * 5);
                                            }
                                        };
                                    }



                                //get person


                                //use the helper function to set each texture
                                //parameters are as follows: 
                                //  skin texture, flesh texture, bone texture, sprite scale
                                //you can pass "null" to fall back to the original texture

                            }

                            }
                        }
        }
     );



            ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
            NameOverride = "Orihime Inoue", //new item name with a suffix to assure it is globally unique
            DescriptionOverride = "waifu", //new item description
            CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
            ThumbnailOverride = ModAPI.LoadSprite("2023-03-10_21-15-56.png"), //new item thumbnail (relative path)
            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
            {
{
    var person = Instance.GetComponent<PersonBehaviour>();
    var head = Instance.transform.Find("Head");
    var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
    var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
    var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
    var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
    var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
    var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
    var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
    var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
    var upper = Instance.transform.Find("Body").Find("UpperBody");
    var middle = Instance.transform.Find("Body").Find("MiddleBody");
    var Lower = Instance.transform.Find("Body").Find("LowerBody");



                    //load textures for each layer (see Human textures folder in this repository)
                    var skin = ModAPI.LoadTexture("Orihime Inoue.png");
    var flesh = ModAPI.LoadTexture("flesh layer.png");
    var bone = ModAPI.LoadTexture("bone layer.png");
    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
    person.SetBodyTextures(skin, flesh, bone, 1);



    foreach (var body in person.Limbs)
    {
        body.BaseStrength *= 1f;
        body.Health *= 100000f;
        body.BreakingThreshold *= 50f;


                        var ornamentobject = new GameObject("Orihime Inouehair.png");
                        ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                        ornamentobject.transform.localPosition = new Vector3(0.05f, 0f);
                        ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        ornamentobject.transform.localScale = new Vector3(1f, 1f);
                        var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                        ornamentsprite.sprite = ModAPI.LoadSprite("Orihime Inouehair.png", 2f);
                        ornamentsprite.sortingLayerName = "Decals";


                        var backpack1 = new GameObject("Orihime Inoue_boobs");
                        backpack1.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                        backpack1.transform.localPosition = new Vector3(0f, 0f);
                        backpack1.transform.localScale = new Vector3(1f, 1f);
                        var backpack1Sprite = backpack1.AddComponent<SpriteRenderer>();
                        backpack1Sprite.sprite = ModAPI.LoadSprite("Orihime Inoue_boobs.png");
                        backpack1.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        backpack1.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            backpack1Sprite.sprite = ModAPI.LoadSprite("none.png");
                        };


                        



                        var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                        var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                        ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                        ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";








    



                        //get person


                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture

                    }

}
}
}
);



            ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
    NameOverride = "Rangiku Matsumoto", //new item name with a suffix to assure it is globally unique
    DescriptionOverride = "waifu", //new item description
    CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
    ThumbnailOverride = ModAPI.LoadSprite("2023-03-10_21-34-56.png"), //new item thumbnail (relative path)
    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
    {
{
var person = Instance.GetComponent<PersonBehaviour>();
var head = Instance.transform.Find("Head");
var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
var upper = Instance.transform.Find("Body").Find("UpperBody");
var middle = Instance.transform.Find("Body").Find("MiddleBody");
var Lower = Instance.transform.Find("Body").Find("LowerBody");



            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("rangiku.png");
var flesh = ModAPI.LoadTexture("flesh layer.png");
var bone = ModAPI.LoadTexture("bone layer.png");
Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
person.SetBodyTextures(skin, flesh, bone, 1);



foreach (var body in person.Limbs)
{
    body.BaseStrength *= 1f;
    body.Health *= 100000f;
    body.BreakingThreshold *= 50f;


    var ornamentobject = new GameObject("rangikuhair.png");
    ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
    ornamentobject.transform.localPosition = new Vector3(0.05f, 0f);
    ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
    ornamentobject.transform.localScale = new Vector3(1f, 1f);
    var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
    ornamentsprite.sprite = ModAPI.LoadSprite("rangikuhair.png", 2f);
    ornamentsprite.sortingLayerName = "Decals";


    var backpack1 = new GameObject("Matsumoto_boobs");
    backpack1.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
    backpack1.transform.localPosition = new Vector3(0f, 0f);
    backpack1.transform.localScale = new Vector3(1f, 1f);
    var backpack1Sprite = backpack1.AddComponent<SpriteRenderer>();
    backpack1Sprite.sprite = ModAPI.LoadSprite("Matsumoto_boobs.png");
    backpack1.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
    backpack1.AddComponent<UseEventTrigger>().Action = () =>
    {
        backpack1Sprite.sprite = ModAPI.LoadSprite("none.png");
    };






    var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
    var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


    ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
    ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";












                //get person


                //use the helper function to set each texture
                //parameters are as follows: 
                //  skin texture, flesh texture, bone texture, sprite scale
                //you can pass "null" to fall back to the original texture

            }

}
}
}
);
            ModAPI.Register(
       new Modification()
       {
           OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
       NameOverride = "Toshiro_Hitsugaya", //new item name with a suffix to assure it is globally unique
       DescriptionOverride = "capitan gotey 13", //new item description
       CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
       ThumbnailOverride = ModAPI.LoadSprite("Toshiro_Hitsugaya_icon.png"), //new item thumbnail (relative path)
       AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
       {
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var head = Instance.transform.Find("Head");
                    var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                    var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                    var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                    var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                    var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                    var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                    var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                    var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                    var upper = Instance.transform.Find("Body").Find("UpperBody");
                    var middle = Instance.transform.Find("Body").Find("MiddleBody");
                    var Lower = Instance.transform.Find("Body").Find("LowerBody");



                    foreach (var body in person.Limbs)
                    {
                        body.BaseStrength *= 1f;
                        body.Health *= 1000000f;
                        body.BreakingThreshold *= 100f;


                        var ornamentobject = new GameObject("Toshiro_Hair.png");
                        ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                        ornamentobject.transform.localPosition = new Vector3(0.05f, -0.24f);
                        ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        ornamentobject.transform.localScale = new Vector3(1f, 1f);
                        var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                        ornamentsprite.sprite = ModAPI.LoadSprite("Toshiro_Hair.png", 2f);
                        ornamentsprite.sortingLayerName = "Top";





                        var backpack = new GameObject("capitan_gotey13_coat2");
                        backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                        backpack.transform.localPosition = new Vector3(0f, 0f);
                        backpack.transform.localScale = new Vector3(1f, 1f);
                        var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                        backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
                        backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        backpack.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                        };

                        var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                        var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                        ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                        ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";



                        if (body.HasBrain)
                        {
                            body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                            {
                                if (person.transform.localScale.x > 0)
                                {

                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                    person.transform.position = person.transform.position + (Vector3.right * 5);

                                }
                                else if (person.transform.localScale.x < 0)
                                {
                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                    person.transform.position = person.transform.position - (Vector3.right * 5);
                                }
                            };
                        }
                    }





                //load textures for each layer (see Human textures folder in this repository)
                var skin = ModAPI.LoadTexture("Toshiro_Hitsugaya.png");
                    var flesh = ModAPI.LoadTexture("flesh layer.png");
                    var bone = ModAPI.LoadTexture("bone layer.png");
                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    person.SetBodyTextures(skin, flesh, bone, 1);

                //get person


                //use the helper function to set each texture
                //parameters are as follows: 
                //  skin texture, flesh texture, bone texture, sprite scale
                //you can pass "null" to fall back to the original texture

            }


            }
       }
    );

                ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "Sosuke_Aizen Thousand Year Bloody War",
DescriptionOverride = "Aizen solo",
CategoryOverride = ModAPI.FindCategory("Bleach pack"),
ThumbnailOverride = ModAPI.LoadSprite("Sosuke_Aizen_Thousand_Year_Bloody_War_icon.png"),
AfterSpawn = (Instance) =>
       {
    {
        var person = Instance.GetComponent<PersonBehaviour>();
        var head = Instance.transform.Find("Head");
        var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
        var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
        var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
        var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
        var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
        var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
        var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
        var upper = Instance.transform.Find("Body").Find("UpperBody");
        var middle = Instance.transform.Find("Body").Find("MiddleBody");
        var Lower = Instance.transform.Find("Body").Find("LowerBody");



        var skin = ModAPI.LoadTexture("Sosuke_Aizen_Thousand_Year_Bloody_War.png");
        var flesh = ModAPI.LoadTexture("flesh layer.png");
        var bone = ModAPI.LoadTexture("bone layer.png");
        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
        person.SetBodyTextures(skin, flesh, bone, 1);





        foreach (var body in person.Limbs)
        {
            body.BaseStrength *= 1f;
            body.Health *= 10000000000f;
            body.BreakingThreshold *= 150f;



            var ornamentobject = new GameObject("Sosuke_Aizen_Thousand_Year_Bloody_War_hair.png");
            ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
            ornamentobject.transform.localPosition = new Vector3(0.05f, -0.24f);
            ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            ornamentobject.transform.localScale = new Vector3(1f, 1f);
            var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
            ornamentsprite.sprite = ModAPI.LoadSprite("Sosuke_Aizen_Thousand_Year_Bloody_War_hair.png", 2f);
            ornamentsprite.sortingLayerName = "Middle";



            var backpack = new GameObject("Sosuke_Aizen_Thousand_Year_Bloody_War_coat");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("Sosuke_Aizen_Thousand_Year_Bloody_War_coat.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
            backpack.AddComponent<UseEventTrigger>().Action = () =>
            {
                backpackSprite.sprite = ModAPI.LoadSprite("Sosuke_Aizen_Thousand_Year_Bloody_War_coat.png");
            };


            var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
            var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


            ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
            ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";



            if (body.HasBrain)
            {
                body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                {
                    if (person.transform.localScale.x > 0)
                    {

                        ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                        person.transform.position = person.transform.position + (Vector3.right * 5);

                    }
                    else if (person.transform.localScale.x < 0)
                    {
                        ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                        person.transform.position = person.transform.position - (Vector3.right * 5);
                    }
                };
            }
        }








    }


}
}
);

                ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Ichigo_Bankai_1", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "the main character", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Ichigo_bankai_1_icon.jpg"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {






            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Ichigo_bankai_1.png");
                            var flesh = ModAPI.LoadTexture("flesh layer.png");
                            var bone = ModAPI.LoadTexture("bone layer.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);



                            foreach (var body in person.Limbs)
                            {
                                body.BaseStrength *= 1f;
                                body.Health *= 1000000f;
                                body.BreakingThreshold *= 100f;



                                var backpack = new GameObject("coat_ichigo_bankai_1");
                                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                backpack.transform.localPosition = new Vector3(0f, 0f);
                                backpack.transform.localScale = new Vector3(1f, 1f);
                                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                                backpackSprite.sprite = ModAPI.LoadSprite("Ichigo_coat_bankai_2.png");
                                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                backpack.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                                };


                                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";



                                if (body.HasBrain)
                                {
                                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                    {
                                        if (person.transform.localScale.x > 0)
                                        {

                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position + (Vector3.right * 5);

                                        }
                                        else if (person.transform.localScale.x < 0)
                                        {
                                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                            person.transform.position = person.transform.position - (Vector3.right * 5);
                                        }
                                    };
                                }
                            }




                        }
                    }
                );
                ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "Ukitake juushirou",
DescriptionOverride = "One of the best captains",
CategoryOverride = ModAPI.FindCategory("Bleach pack"),
ThumbnailOverride = ModAPI.LoadSprite("Ukitake_icon.jpg"),
AfterSpawn = (Instance) =>
       {
    {
        var person = Instance.GetComponent<PersonBehaviour>();
        var head = Instance.transform.Find("Head");
        var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
        var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
        var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
        var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
        var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
        var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
        var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
        var upper = Instance.transform.Find("Body").Find("UpperBody");
        var middle = Instance.transform.Find("Body").Find("MiddleBody");
        var Lower = Instance.transform.Find("Body").Find("LowerBody");







        var skin = ModAPI.LoadTexture("ukitake.png");
        var flesh = ModAPI.LoadTexture("flesh layer.png");
        var bone = ModAPI.LoadTexture("bone layer.png");
        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
        person.SetBodyTextures(skin, flesh, bone, 1);







        foreach (var body in person.Limbs)
        {
            body.BaseStrength *= 1f;
            body.Health *= 10000000f;
            body.BreakingThreshold *= 100f;


            var ornamentobject = new GameObject("ukitake_hair.png");
            ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
            ornamentobject.transform.localPosition = new Vector3(0.05f, -0.24f);
            ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            ornamentobject.transform.localScale = new Vector3(1f, 1f);
            var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
            ornamentsprite.sprite = ModAPI.LoadSprite("ukitake_hair.png", 2f);
            ornamentsprite.sortingLayerName = "Middle";


            var backpack = new GameObject("capitan_gotey13_coat2");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
            backpack.transform.localPosition = new Vector3(0f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
            backpack.AddComponent<UseEventTrigger>().Action = () =>
            {
                backpackSprite.sprite = ModAPI.LoadSprite("none.png");
            };

            var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
            var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


            ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
            ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





            if (body.HasBrain)
            {
                body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                {
                    if (person.transform.localScale.x > 0)
                    {

                        ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                        person.transform.position = person.transform.position + (Vector3.right * 5);

                    }
                    else if (person.transform.localScale.x < 0)
                    {
                        ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                        person.transform.position = person.transform.position - (Vector3.right * 5);
                    }
                };
            }
        }






    }


}
}
);


            ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Yachiru Unohana",
    DescriptionOverride = "1st kenpachi",
    CategoryOverride = ModAPI.FindCategory("Bleach pack"),
    ThumbnailOverride = ModAPI.LoadSprite("2978eb48c400307dfd75617d192fac8c.png"),
    AfterSpawn = (Instance) => 
    {
        {
            var person = Instance.GetComponent<PersonBehaviour>();
            var head = Instance.transform.Find("Head");
            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
            var upper = Instance.transform.Find("Body").Find("UpperBody");
            var middle = Instance.transform.Find("Body").Find("MiddleBody");
            var Lower = Instance.transform.Find("Body").Find("LowerBody");







            var skin = ModAPI.LoadTexture("Yachiru_Unohana.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            person.SetBodyTextures(skin, flesh, bone, 1);







            foreach (var body in person.Limbs)
            {
                body.BaseStrength *= 1f;
                body.Health *= 100000000f;
                body.BreakingThreshold *= 100f;


                var ornamentobject = new GameObject("Yachiru_Unohana_hair.png");
                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                ornamentobject.transform.localPosition = new Vector3(0.05f, -0.24f);
                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                ornamentsprite.sprite = ModAPI.LoadSprite("Yachiru_Unohana_hair.png", 2f);
                ornamentsprite.sortingLayerName = "Top";


                var backpack = new GameObject("capitan_gotey13_coat2");
                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                backpack.transform.localPosition = new Vector3(0f, 0f);
                backpack.transform.localScale = new Vector3(1f, 1f);
                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                backpack.AddComponent<UseEventTrigger>().Action = () =>
                {
                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                };

                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                if (body.HasBrain)
                {
                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                    {
                        if (person.transform.localScale.x > 0)
                        {

                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                            person.transform.position = person.transform.position + (Vector3.right * 5);

                        }
                        else if (person.transform.localScale.x < 0)
                        {
                            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                            person.transform.position = person.transform.position - (Vector3.right * 5);
                        }
                    };
                }
            }






        }


    }
}
);



            ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "Soi Fon",
DescriptionOverride = "capitan gotey 13",
CategoryOverride = ModAPI.FindCategory("Bleach pack"),
ThumbnailOverride = ModAPI.LoadSprite("Soi_Fon_icon.jpg"),
AfterSpawn = (Instance) =>
       {
{
var person = Instance.GetComponent<PersonBehaviour>();
var head = Instance.transform.Find("Head");
var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
var upper = Instance.transform.Find("Body").Find("UpperBody");
var middle = Instance.transform.Find("Body").Find("MiddleBody");
var Lower = Instance.transform.Find("Body").Find("LowerBody");







var skin = ModAPI.LoadTexture("Soi_Fon.png");
var flesh = ModAPI.LoadTexture("flesh layer.png");
var bone = ModAPI.LoadTexture("bone layer.png");
Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
person.SetBodyTextures(skin, flesh, bone, 1);


foreach (var body in person.Limbs)
{
body.BaseStrength *= 1f;
body.Health *= 100000f;
body.BreakingThreshold *= 50f;



var ornamentobject = new GameObject("Soi_Fon_hair.png");
ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
ornamentobject.transform.localPosition = new Vector3(0.05f, -0.24f);
ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
ornamentobject.transform.localScale = new Vector3(1f, 1f);
var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
ornamentsprite.sprite = ModAPI.LoadSprite("Soi_Fon_hair.png", 2f);
ornamentsprite.sortingLayerName = "Middle";


if (body.HasBrain)
{
    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
    {
        if (person.transform.localScale.x > 0)
        {

            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
            person.transform.position = person.transform.position + (Vector3.right * 5);

        }
        else if (person.transform.localScale.x < 0)
        {
            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
            person.transform.position = person.transform.position - (Vector3.right * 5);
        }
    };
}
}





}


}
}
);






                ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "Sajin Komamura beast form",
DescriptionOverride = "capitan gotey 13",
CategoryOverride = ModAPI.FindCategory("Bleach pack"),
ThumbnailOverride = ModAPI.LoadSprite("Sajin_Komamura_beast_icon.png"),
AfterSpawn = (Instance) =>
       {
{
var person = Instance.GetComponent<PersonBehaviour>();
var head = Instance.transform.Find("Head");
var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
var upper = Instance.transform.Find("Body").Find("UpperBody");
var middle = Instance.transform.Find("Body").Find("MiddleBody");
var Lower = Instance.transform.Find("Body").Find("LowerBody");




var skin = ModAPI.LoadTexture("Sajin_Komamura_beast.png");
var flesh = ModAPI.LoadTexture("flesh layer.png");
var bone = ModAPI.LoadTexture("bone layer.png");
Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
person.SetBodyTextures(skin, flesh, bone, 1);




foreach (var body in person.Limbs)
{
body.BaseStrength *= 1f;
body.Health *= 100000f;
body.BreakingThreshold *= 85f;



var ornamentobject = new GameObject("Sajin_Komamura_beast_hair.png");
ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
ornamentobject.transform.localPosition = new Vector3(0.1f, -0.24f);
ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
ornamentobject.transform.localScale = new Vector3(1f, 1f);
var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
ornamentsprite.sprite = ModAPI.LoadSprite("Sajin_Komamura_beast_hair.png", 2f);
ornamentsprite.sortingLayerName = "Top";




var backpack = new GameObject("capitan_gotey13_coat2");
backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
backpack.transform.localPosition = new Vector3(0f, 0f);
backpack.transform.localScale = new Vector3(1f, 1f);
var backpackSprite = backpack.AddComponent<SpriteRenderer>();
backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat2.png");
backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
backpack.AddComponent<UseEventTrigger>().Action = () =>
{
    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
};

var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





if (body.HasBrain)
{
    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
    {
        if (person.transform.localScale.x > 0)
        {

            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
            person.transform.position = person.transform.position + (Vector3.right * 5);

        }
        else if (person.transform.localScale.x < 0)
        {
            ModAPI.CreateParticleEffect("Vapor", body.transform.position);
            person.transform.position = person.transform.position - (Vector3.right * 5);
        }
    };
}
}



}


}
}
);

                ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Genryūsai Shigekuni Yamamoto",
        DescriptionOverride = "The captain of the 1st unit in Gotei 13, as well as the captain - commander of the entire Gotei 13.His lieutenant was Chojiro Sasakibe.",
        CategoryOverride = ModAPI.FindCategory("Bleach pack"),
        ThumbnailOverride = ModAPI.LoadSprite("Yamamoto_icon.png"),
        AfterSpawn = (Instance) =>
    {
        {
            var person = Instance.GetComponent<PersonBehaviour>();
            var head = Instance.transform.Find("Head");
            var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
            var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
            var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
            var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
            var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
            var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
            var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
            var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
            var upper = Instance.transform.Find("Body").Find("UpperBody");
            var middle = Instance.transform.Find("Body").Find("MiddleBody");
            var Lower = Instance.transform.Find("Body").Find("LowerBody");







            var skin = ModAPI.LoadTexture("Yamamoto.png");
            var flesh = ModAPI.LoadTexture("flesh layer.png");
            var bone = ModAPI.LoadTexture("bone layer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
            person.SetBodyTextures(skin, flesh, bone, 1);







            foreach (var body in person.Limbs)
            {
                body.BaseStrength *= 1f;
                body.Health *= 1000000000f;
                body.BreakingThreshold *= 100f;


                var ornamentobject = new GameObject("Yamamoto_beard.png");
                ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                ornamentobject.transform.localPosition = new Vector3(0.015f, -0.22f);
                ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                ornamentobject.transform.localScale = new Vector3(1f, 1f);
                var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                ornamentsprite.sprite = ModAPI.LoadSprite("Yamamoto_beard.png", 2f);
                ornamentsprite.sortingLayerName = "Top";


                var backpack = new GameObject("capitan_gotey13_coat2");
                backpack.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                backpack.transform.localPosition = new Vector3(0f, 0f);
                backpack.transform.localScale = new Vector3(1f, 1f);
                var backpackSprite = backpack.AddComponent<SpriteRenderer>();
                backpackSprite.sprite = ModAPI.LoadSprite("capitan_gotey13_coat_yamamoto.png");
                backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                backpack.AddComponent<UseEventTrigger>().Action = () =>
                {
                    backpackSprite.sprite = ModAPI.LoadSprite("none.png");
                };

                var ArmDown = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                var ArmTop = Instance.transform.Find("FrontArm").Find("UpperArmFront");


                ArmDown.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";
                ArmTop.GetComponent<SpriteRenderer>().sortingLayerName = "Decals";





                if (body.HasBrain)
                {
                    body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                {
                   if (person.transform.localScale.x > 0)
                   {

                       ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                       person.transform.position = person.transform.position + (Vector3.right * 5);

                   }
                   else if (person.transform.localScale.x < 0)
                   {
                       ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                       person.transform.position = person.transform.position - (Vector3.right * 5);
                   }
               };
                }
            }






        }


    }
    }
    );


                ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Yoruichi combat uniform", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "soldier", //new item description
        CategoryOverride = ModAPI.FindCategory("Bleach pack"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("yoruichi_combat_uniform_icon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                {
                    var person = Instance.GetComponent<PersonBehaviour>();
                    var head = Instance.transform.Find("Head");
                    var arm3 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                    var arm4 = Instance.transform.Find("BackArm").Find("UpperArm");
                    var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                    var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                    var leg1 = Instance.transform.Find("FrontLeg").Find("FootFront");
                    var leg2 = Instance.transform.Find("BackLeg").Find("Foot");
                    var leg3 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                    var leg4 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                    var upper = Instance.transform.Find("Body").Find("UpperBody");
                    var middle = Instance.transform.Find("Body").Find("MiddleBody");
                    var Lower = Instance.transform.Find("Body").Find("LowerBody");



                //load textures for each layer (see Human textures folder in this repository)
                var skin = ModAPI.LoadTexture("yoruichi_combat_uniform.png");
                    var flesh = ModAPI.LoadTexture("flesh layer.png");
                    var bone = ModAPI.LoadTexture("bone layer.png");
                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                    person.SetBodyTextures(skin, flesh, bone, 1);



                    foreach (var body in person.Limbs)
                    {
                        body.BaseStrength *= 1f;
                        body.Health *= 100000f;
                        body.BreakingThreshold *= 100f;


                        var ornamentobject = new GameObject("yoruichi_combat_uniform_hair.png");
                        ornamentobject.transform.SetParent(Instance.transform.Find("Head"));
                        ornamentobject.transform.localPosition = new Vector3(0.05f, -0.2f);
                        ornamentobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        ornamentobject.transform.localScale = new Vector3(1f, 1f);
                        var ornamentsprite = ornamentobject.AddComponent<SpriteRenderer>();
                        ornamentsprite.sprite = ModAPI.LoadSprite("yoruichi_combat_uniform_hair.png", 2f);
                        ornamentsprite.sortingLayerName = "Top";


                        if (body.HasBrain)
                        {
                            body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                            {
                                if (person.transform.localScale.x > 0)
                                {

                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                    person.transform.position = person.transform.position + (Vector3.right * 5);

                                }
                                else if (person.transform.localScale.x < 0)
                                {
                                    ModAPI.CreateParticleEffect("Vapor", body.transform.position);
                                    person.transform.position = person.transform.position - (Vector3.right * 5);
                                }
                            };
                        }
                    }

                //get person


                //use the helper function to set each texture
                //parameters are as follows: 
                //  skin texture, flesh texture, bone texture, sprite scale
                //you can pass "null" to fall back to the original texture

            }


            }
        }
     );

            }

            public class Brighten : MonoBehaviour
            {
                public bool Activated = false;
                public GameObject Paint = new GameObject("Lighter");
                public Color32 Colour;
                public float TargetCharge = 0f;
                public Sprite PaintSprite;
                public LightSprite Light;

                public void UpdateGlow()
                {
                    if (Activated == true)
                    {
                        Paint.GetComponent<SpriteRenderer>().color = Colour;
                    }
                    else if (Activated == false)
                    {

                        Paint.GetComponent<SpriteRenderer>().color = new Color32(0, 0, 0, 0);
                    }
                }

                void Start()
                {
                    Paint.transform.parent = gameObject.transform;
                    Paint.transform.rotation = gameObject.transform.rotation;
                    Paint.transform.localPosition = new Vector3(0f, 0f);
                    Paint.transform.localScale = new Vector3(1f, 1f);

                    var Sprite = Paint.GetOrAddComponent<SpriteRenderer>();
                    Sprite.sprite = PaintSprite;
                    Sprite.material = ModAPI.FindMaterial("Sprites-Default");
                    Sprite.GetComponent<SpriteRenderer>().sortingLayerName = "thickness";
                    Sprite.color = new Color32(1, 1, 1, 1);

                    Sprite.sortingOrder = gameObject.GetComponent<SpriteRenderer>().sortingOrder = +50;

                    Light = ModAPI.CreateLight(gameObject.transform, new Color32(Colour.r, Colour.g, Colour.b, 255), 3f, 0f);
                    UpdateGlow();
                }

                void Use()
                {
                    Activated = !Activated;
                    UpdateGlow();
                }

                void Update()
                {
                    if (Activated == true)
                    {
                    }
                    else
                    {
                    }
                }
            }


            public class Pruner : MonoBehaviour
            {
                public Sprite PruneOn;
                public Sprite PruneOff;

                bool IsOn = false;

                public void Start()
                {

                    gameObject.AddComponent<UseEventTrigger>().Action = () =>
                    {
                        if (IsOn)
                        {
                            IsOn = false;
                            GetComponent<SpriteRenderer>().sprite = PruneOff;

                        }
                        else
                        {
                            IsOn = true;
                            GetComponent<SpriteRenderer>().sprite = PruneOn;
                        }
                    };
                }

                public void Update()
                {

                }
                public void OnCollisionEnter2D(Collision2D other)
                {
                    if (other.gameObject.GetComponent<LimbBehaviour>())
                    {
                        if (IsOn)
                        {

                        }
                    }

                }

            }
        }
    }

// Originally uploaded by 'Skroll&Yi01'. Do not reupload without their explicit permission.
